Bug 215191 - Router and DNS address are NOT required for Ethernet devices
Router and DNS address are NOT required for Ethernet devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 01:56 EST by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 17:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-11-12 01:56:44 EST
When configuring an Ethernet interface for a static IP address the dialog will 
not accept the data unless a DNS server address and a default gateway address 
are specified.

Obviously if there is more than one Ethernet interface on the system then you 
do not want to have a default gateway for each one.  But even if you have only 
a single interface then a gateway might not be desired.  There is no 
requirement that a network have a router.  Small networks that are all on a 
single subnet without Internet access are reasonably common.

Having the number of DNS servers exactly match the number of Ethernet 
interfaces is a bug in the kickstart configuration file format.  Having 
multiple DNS servers when you only have a single Ethernet device is common, as 
is having multiple Ethernet interfaces and only a single DNS server.
Comment 1 Chris Lumens 2007-08-29 17:22:55 EDT
This will be fixed in the next build of system-config-kickstart.

Note You need to log in before you can comment on or make changes to this bug.